﻿using System;
using System.Windows.Data;

namespace Converters
{
    public class TicksToDateTime : IValueConverter
    {
        public bool MultiDay { get; set; }
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is double && targetType == typeof(string))
            {
                string param = parameter as string;
                if (MultiDay)
                {
                    param = String.Format("(M/d) {0}", param);
                }
                double val = (double)value;
                return !string.IsNullOrEmpty(param)
                    ? new DateTime((long)val).ToString(param, culture.DateTimeFormat)
                    : new DateTime((long)val).ToString(culture.DateTimeFormat);
            }
            return "";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
